import Foundation

struct Movie_Category : Codable {
    
	let action : String?
	let comedy : String?
	let drama : String?
	let horror : String?
	let mythological : String?
	let war : String?
	let adventure : String?
	let family : String?
	let sport : String?
	let animation : String?
	let crime : String?
	let fantasy : String?
	let musical : String?
	let romance : String?
	let thriller : String?
	let history : String?
	let documentary : String?
	let tvshow : String?

	enum CodingKeys: String, CodingKey {
		case action = "action"
		case comedy = "comedy"
		case drama = "drama"
		case horror = "horror"
		case mythological = "mythological"
		case war = "war"
		case adventure = "adventure"
		case family = "family"
		case sport = "sport"
		case animation = "animation"
		case crime = "crime"
		case fantasy = "fantasy"
		case musical = "musical"
		case romance = "romance"
		case thriller = "thriller"
		case history = "history"
		case documentary = "documentary"
		case tvshow = "tvshow"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		action = try values.decodeIfPresent(String.self, forKey: .action)
		comedy = try values.decodeIfPresent(String.self, forKey: .comedy)
		drama = try values.decodeIfPresent(String.self, forKey: .drama)
		horror = try values.decodeIfPresent(String.self, forKey: .horror)
		mythological = try values.decodeIfPresent(String.self, forKey: .mythological)
		war = try values.decodeIfPresent(String.self, forKey: .war)
		adventure = try values.decodeIfPresent(String.self, forKey: .adventure)
		family = try values.decodeIfPresent(String.self, forKey: .family)
		sport = try values.decodeIfPresent(String.self, forKey: .sport)
		animation = try values.decodeIfPresent(String.self, forKey: .animation)
		crime = try values.decodeIfPresent(String.self, forKey: .crime)
		fantasy = try values.decodeIfPresent(String.self, forKey: .fantasy)
		musical = try values.decodeIfPresent(String.self, forKey: .musical)
		romance = try values.decodeIfPresent(String.self, forKey: .romance)
		thriller = try values.decodeIfPresent(String.self, forKey: .thriller)
		history = try values.decodeIfPresent(String.self, forKey: .history)
		documentary = try values.decodeIfPresent(String.self, forKey: .documentary)
		tvshow = try values.decodeIfPresent(String.self, forKey: .tvshow)
	}

}
